use crate::input::events::{KvmButtonState, KvmEvent, KvmEventTrait};

pub struct KvmKeyboardEvent {
    pub key_code: u32,
    pub state: KvmButtonState,
}

impl KvmEventTrait for KvmKeyboardEvent {
    fn into_kvm_event(self) -> KvmEvent {
        KvmEvent::Keyboard(self)
    }
}